DefaultRealEditor (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.DefaultRealEditor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultRealEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              org.jgraph.graph.DefaultRealEditor

All Implemented Interfaces:
  CellEditor, GraphCellEditor, Serializable, TableCellEditor, TreeCellEditor

public class DefaultRealEditor
extends DefaultCellEditor
implements GraphCellEditor

The default editor for graph cells.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`DefaultRealEditor(JCheckBox checkBox)` Constructs a DefaultCellEditor object that uses a check box.
`DefaultRealEditor(JComboBox comboBox)` Constructs a DefaultCellEditor object that uses a combo box.
`DefaultRealEditor(JTextField textField)` Constructs a DefaultCellEditor that uses a text field.

Method Summary
`Component` | `getGraphCellEditorComponent(JGraph graph, Object value, boolean isSelected)` Sets an initial value for the editor.

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### DefaultRealEditor

    public DefaultRealEditor(JTextField textField)

  Constructs a DefaultCellEditor that uses a text field.

Parameters:
  `textField` - a JTextField object used as the editor

### DefaultRealEditor

    public DefaultRealEditor(JCheckBox checkBox)

  Constructs a DefaultCellEditor object that uses a check box.

Parameters:
  `checkBox` - a JCheckBox object

### DefaultRealEditor

    public DefaultRealEditor(JComboBox comboBox)

  Constructs a DefaultCellEditor object that uses a combo box.

Parameters:
  `comboBox` - a JComboBox object

Method Detail

### getGraphCellEditorComponent

    public Component getGraphCellEditorComponent(JGraph graph,
                                                 Object value,
                                                 boolean isSelected)

  Description copied from interface: `GraphCellEditor`
  Sets an initial value for the editor. This will cause the editor to stopEditing and lose any partially edited value if the editor is editing when this method is called.

  Returns the component that should be added to the client's Component hierarchy. Once installed in the client's hierarchy this component will then be able to draw and receive user input.

  Specified by:
    `getGraphCellEditorComponent` in interface `GraphCellEditor`
  Parameters:
    `graph` - the JGraph that is asking the editor to edit This parameter can be null.
    `value` - the value of the cell to be edited.
    `isSelected` - true if the cell is to be rendered with selection highlighting
  Returns:
    the component for editing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.